#!/bin/sh
lua update_geany.lua --uninstall
rm -f ~/Desktop/love.desktop
if (sudo rm -rf /usr/local/games/love); then
  if [ -d /usr/local/games/love.orig ]; then
    sudo mv /usr/local/games/love.orig /usr/local/games/love
  fi
fi
if (sudo rm -f /usr/bin/love); then
  if [ -e /usr/bin/love.orig ]; then
    sudo mv /usr/bin/love.orig /usr/bin/love
  fi
fi

echo "Removing icons..."
xdg-icon-resource uninstall --novendor --context mimetypes --size 48 application-x-love-game.png
xdg-icon-resource uninstall --novendor --context apps --size 48 love.png
echo "Updating MIME database..."
sudo rm -f /usr/local/share/mime/packages/love.xml
sudo update-mime-database /usr/local/share/mime
echo "Updating desktop database..."
sudo rm -f /usr/local/share/applications/love.desktop
sudo update-desktop-database /usr/local/share/applications/
